%if %{_use_internal_dependency_generator}
%define __noautoreq 'devel\\(libjsoncpp(.*)\\)'
%endif

%define _disable_ld_no_undefined 1

%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Mandriva implementation of DUDF as part of the Mancoosi European Project
Name:		dudf
Version:	0.15
Release:	9
License:	GPLv2+
Group:		System/Base
Url:		http://www.mancoosi.org
Source0:	%{name}-%{version}.tar.xz
Patch0:		dudf-0.15-compile.patch
BuildRequires:	swig
BuildRequires:	jsoncpp-devel >= 1.6
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(ossp-uuid)
BuildRequires:	pkgconfig(rpm)

%description
Mancoosi aims at achieving better management of software upgrades.
As part of this European project, urpmi can generate information about
installation failure when it arises and provide it to Mandriva engineers
and Mancoosi project members to help solving the issue. This is achieved
via a DUDF file, where DUDF stands for Distribution Upgradeability
Description Format.

The current package provides libdudf, a C++ library aiming at generating
this DUDF file, together with a Perl wrapper, perl-dudfrpmstatus, which is
used by urpmi.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Mandriva DUDF file generation library
Group:		System/Libraries

%description -n %{libname}
Library used for generating the Mandriva DUDF file.

%files -n %{libname}
%{_libdir}/libdudf.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development header & library for Mandriva DUDF library
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}dudf1-devel < 0.15-9
Obsoletes:	%{_lib}dudf1-devel < 0.15-9

%description -n %{devname}
Development header & library for Mandriva DUDF file generation library.

%files -n %{devname}
%{_includedir}/dudf.h
%{_libdir}/libdudf.so

#----------------------------------------------------------------------------

%package -n perl-dudfrpmstatus
Summary:	Mandriva DUDF file generation library Perl wrapper
Group:		System/Libraries

%description -n perl-dudfrpmstatus
Perl wrapper providing access to the Mandriva DUDF file generation
library.

%files -n perl-dudfrpmstatus
%{perl_sitearch}/dudfrpmstatus.pm
%{perl_sitearch}/auto/dudfrpmstatus/dudfrpmstatus.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
export LDFLAGS="%{ldflags}"
export PERL_LDFLAGS="%{ldflags}"
%make CXXFLAGS="%{optflags}"

%install
%makeinstall_std prefix=%{_prefix} libdir=%{_libdir}


%changelog

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.15-9
- (50b79f4) Apply patch from previous commit


